## Utsusemi_4.0.251014.tar.gz

=== src/Utsusemi-DNA/CMakeLists.txt ===
# CMakelists.txt for DNA module of Manyo-lib
# $ cd Utsusemi-DNA
# $ mkdir build; cd build
# $ rm -rf *; cmake .. -DCMAKE_INSTALL_PREFIX=/path/to/Manyo [-DMULTH=<n>[, -DMXML_PATH=/path/to/mxml, -DMXML_VER=4, -DNEXUS_PATH=/path/to/nexul, -DMANYO_INSTTYPE=(N/O)]]
# $ make install

cmake_minimum_required(VERSION 3.13)
project(Utsusemi CXX)

# Find Python
find_package(Python COMPONENTS Interpreter Development)
#include_directories(${Python_INCLUDE_DIRS})

# Check macOS
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(MACOS TRUE)
endif()

# Set MANYO_MULTH
if (DEFINED MULTH)
  set(MANYO_MULTH ${MULTH})
else (DEFINED MULTH)
  set(MANYO_MULTH 8)
endif (DEFINED MULTH)

# Set MANYO_NEXUS_PATH
if (DEFINED NEXUS_PATH)
  set(MANYO_NEXUS_PATH ${NEXUS_PATH})
else ()
  set(MANYO_NEXUS_PATH ${CMAKE_INSTALL_PREFIX})
endif ()
message("MANYO_NEXUS_PATH=" ${MANYO_NEXUS_PATH})

# Set MXML environment
if (DEFINED MXML_PATH)
  set(MANYO_MXML_LIB_PATH ${MXML_PATH}/lib)
  set(MANYO_MXML_INC_PATH ${MXML_PATH}/include)
elseif(MACOS)
  set(MANYO_MXML_LIB_PATH /opt/homebrew/lib)
  set(MANYO_MXML_INC_PATH /opt/homebrew/include)
endif ()

if ((DEFINED MXML_VER) AND (${MXML_VER} MATCHES "4"))
    message("Define LIBMXML4")
    set(LIBMXML mxml4)
else()
    set(LIBMXML mxml)
endif()

# Installation type
# MANYO_LIB_PATH is the relative path to libManyo and other manyo libraries from CMAKE_INSTALL_PREFIX
# as "lib/python3.11/dist-package"
# Therefor MANYO_PATH is ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH}
if ((DEFINED MANYO_INSTTYPE) AND (${MANYO_INSTTYPE} MATCHES "N"))
  message("MANYO_INSTTYPE = New")
  set(MANYO_LIB_PATH lib/python${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}/dist-packages)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH})
else()
  message("MANYO_INSTTYPE = Old")
  set(MANYO_LIB_PATH lib)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX})
endif()


# Add subdirectories for Manyo lib
add_subdirectory(lib-levmar/2.5)
add_subdirectory(manyo-LevmarTools)
add_subdirectory(manyo)

=== src/Utsusemi-DNA/Makefile ===
MAKE_DIRS   =  manyo
PREFIX ?= $(MANYO_PATH)
DESTDIR ?=
default:
	cd lib-levmar/2.5 && PREFIX=$(MANYO_PATH) $(MAKE) install
	cd manyo-LevmarTools && $(MAKE) install
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE));\
	done

install:
	mkdir -p $(DESTDIR)$(PREFIX)/lib
	mkdir -p $(DESTDIR)$(PREFIX)/include
	cd lib-levmar/2.5 && $(MAKE) PREFIX=$(MANYO_PATH) install
	cd manyo-LevmarTools && $(MAKE) install
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) install);\
	done
	mkdir -p $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi
	cp -rf python-utsusemi-DNA $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/DNA
	cp -rf environ-home $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/DNA

clean:
	cd lib-levmar/2.5 && $(MAKE) clean
	cd manyo-LevmarTools && $(MAKE) clean
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) clean);\
	done

man:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) man);\
	done

=== src/Utsusemi-ENG/CMakeLists.txt ===
# CMakelists.txt for ENG(Emaki) module of Manyo-lib
# $ cd Utsusemi-ENG
# $ mkdir build; cd build
# $ rm -rf *; cmake .. -DCMAKE_INSTALL_PREFIX=/path/to/Manyo [-DMULTH=<n>[, -DNEXUS_PATH=/path/to/nexul, -DMANYO_INSTTYPE=(N/O)]]
# $ make install

cmake_minimum_required(VERSION 3.13)
project(UtsusemiEmaki CXX)

# Find Python
find_package(Python COMPONENTS Interpreter Development)
#include_directories(${Python_INCLUDE_DIRS})

# Check macOS
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(MACOS TRUE)
endif()

# Set MANYO_MULTH
if (DEFINED MULTH)
  set(MANYO_MULTH ${MULTH})
else (DEFINED MULTH)
  set(MANYO_MULTH 8)
endif (DEFINED MULTH)

# Set MANYO_NEXUS_PATH
if (DEFINED NEXUS_PATH)
  set(MANYO_NEXUS_PATH ${NEXUS_PATH})
else ()
  set(MANYO_NEXUS_PATH ${CMAKE_INSTALL_PREFIX})
endif ()
message("MANYO_NEXUS_PATH=" ${MANYO_NEXUS_PATH})

# Installation type
# MANYO_LIB_PATH is the relative path to libManyo and other manyo libraries from CMAKE_INSTALL_PREFIX
# as "lib/python3.11/dist-package"
# Therefor MANYO_PATH is ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH}
if ((DEFINED MANYO_INSTTYPE) AND (${MANYO_INSTTYPE} MATCHES "N"))
  message("MANYO_INSTTYPE = New")
  set(MANYO_LIB_PATH lib/python${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}/dist-packages)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH})
else()
  message("MANYO_INSTTYPE = Old")
  set(MANYO_LIB_PATH lib)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX})
endif()


# Add subdirectories for Manyo lib
add_subdirectory(manyo)

=== src/Utsusemi-ENG/Makefile ===

MAKE_DIRS   = manyo
PREFIX ?= $(MANYO_PATH)
DESTDIR ?=
default:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE));\
	done

install:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) install);\
	done
	mkdir -p $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi
	cp -rf python-utsusemi-ENG $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/ENG

clean:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) clean);\
	done

man:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) man);\
	done

=== src/Utsusemi-SAS/CMakeLists.txt ===
# CMakelists.txt for SAS module of Manyo-lib
# $ cd Utsusemi-SAS
# $ mkdir build; cd build
# $ rm -rf *; cmake .. -DCMAKE_INSTALL_PREFIX=/path/to/Manyo [-DMULTH=<n>[, -DNEXUS_PATH=/path/to/nexul, -DMANYO_INSTTYPE=(N/O)]]
# $ make install

cmake_minimum_required(VERSION 3.13)
project(Utsusemi CXX)

# Find Python
find_package(Python COMPONENTS Interpreter Development)
#include_directories(${Python_INCLUDE_DIRS})


# Check macOS
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(MACOS TRUE)
endif()

# Set MANYO_MULTH
if (DEFINED MULTH)
  set(MANYO_MULTH ${MULTH})
else (DEFINED MULTH)
  set(MANYO_MULTH 8)
endif (DEFINED MULTH)

# Set MANYO_NEXUS_PATH
if (DEFINED NEXUS_PATH)
  set(MANYO_NEXUS_PATH ${NEXUS_PATH})
else ()
  set(MANYO_NEXUS_PATH ${CMAKE_INSTALL_PREFIX})
endif ()
message("MANYO_NEXUS_PATH=" ${MANYO_NEXUS_PATH})

# Installation type
# MANYO_LIB_PATH is the relative path to libManyo and other manyo libraries from CMAKE_INSTALL_PREFIX
# as "lib/python3.11/dist-package"
# Therefor MANYO_PATH is ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH}
if ((DEFINED MANYO_INSTTYPE) AND (${MANYO_INSTTYPE} MATCHES "N"))
  message("MANYO_INSTTYPE = New")
  set(MANYO_LIB_PATH lib/python${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}/dist-packages)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH})
  set(UTSUSEMI_INC_FILE_PATH include/manyo/Utsusemi/SAS)
else()
  message("MANYO_INSTTYPE = Old")
  set(MANYO_LIB_PATH lib)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX})
  set(UTSUSEMI_INC_FILE_PATH include/manyo/SAS)
endif()

# Add subdirectories for Manyo lib
add_subdirectory(manyo)

=== src/Utsusemi-SAS/Makefile ===

MAKE_DIRS   = manyo
PREFIX ?= $(MANYO_PATH)
DESTDIR ?=
default:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE));\
	done

install:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) install);\
	done
	mkdir -p $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/bin
	cp -rf python-utsusemi-SAS $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/SAS
	cp -rf python-utsusemi-SAS/bin/UBSlicer $(DESTDIR)/$(PREFIX)/../python-utsusemi/utsusemi/bin/UBSlicer

clean:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) clean);\
	done

man:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) man);\
	done

=== src/Utsusemi/CMakeLists.txt ===
# Refference : https://github.com/danielunderwood/swig-example/blob/master/CMakeLists.txt

# $ cd manyo
# $ mkdir build; cd build
# $ rm -rf *; cmake .. -DCMAKE_INSTALL_PREFIX=/path/to/Manyo [-DMULTH=<n>[, -DNEXUS_PATH=/path/to/nexul, -DMANYO_INSTTYPE=(N/O), -DUTSUSEMI_REV=YYMMDD]]
# $ make install

cmake_minimum_required(VERSION 3.13)
project(Utsusemi CXX)

# Find Python
find_package(Python COMPONENTS Interpreter Development)
#include_directories(${Python_INCLUDE_DIRS})

# Check macOS
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(MACOS TRUE)
endif()

# Set MANYO_MULTH
if (DEFINED MULTH)
  set(MANYO_MULTH ${MULTH})
else (DEFINED MULTH)
  set(MANYO_MULTH 8)
endif (DEFINED MULTH)

# Set MANYO_NEXUS_PATH
if (DEFINED NEXUS_PATH)
  set(MANYO_NEXUS_PATH ${NEXUS_PATH})
else ()
  set(MANYO_NEXUS_PATH ${CMAKE_INSTALL_PREFIX})
endif ()
message("MANYO_NEXUS_PATH=" ${MANYO_NEXUS_PATH})

# Set REVISION (date)
if (DEFINED UTSUSEMI_REV)
   set(UTSUSEMI_REVISION ${UTSUSEMI_REV})
else ()
   set(UTSUSEMI_REVISION 0)
endif ()
message("UTSUSEMI_REVISION = " ${UTSUSEMI_REVISION})

# Installation type
# MANYO_LIB_PATH is the relative path to libManyo and other manyo libraries from CMAKE_INSTALL_PREFIX
# as "lib/python3.11/dist-package"
# Therefor MANYO_PATH is ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH}
if ((DEFINED MANYO_INSTTYPE) AND (${MANYO_INSTTYPE} MATCHES "N"))
  message("MANYO_INSTTYPE = New")
  set(MANYO_LIB_PATH lib/python${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}/dist-packages)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH})
else()
  message("MANYO_INSTTYPE = Old")
  set(MANYO_LIB_PATH lib)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX})
endif()

# Add subdirectories for Manyo lib
add_subdirectory(manyo)

=== src/Utsusemi/Makefile ===

MAKE_DIRS   = manyo
PREFIX ?= $(MANYO_PATH)
PYUTSUPREFIX ?= ${MANYO_PATH}/../python-utsusemi/
DESTDIR ?=
default:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE));\
	done

install:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) install);\
	done
	mkdir -p $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi
	cp -rf python-utsusemi/* $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi
	cp -rf python-utsusemi-AMR $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi/AMR
	cp -rf python-utsusemi-HPN $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi/HPN
	cp -rf python-utsusemi-SIK $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi/SIK
	cp -rf python-utsusemi-VNR $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi/VNR
ifndef WITOUTUGAO
	cp -rf uGao $(DESTDIR)/$(PYUTSUPREFIX)
endif

uninstall:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) uninstall);\
	done
	rm -rf $(DESTDIR)/$(PYUTSUPREFIX)/utsusemi
	rmdir $(DESTDIR)/$(PYUTSUPREFIX)

clean:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) clean);\
	done

man:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) man);\
	done

=== src/manyo/CMakeLists.txt ===
# Refference : https://github.com/danielunderwood/swig-example/blob/master/CMakeLists.txt

# $ cd manyo
# $ mkdir build; cd build
# $ rm -rf *; cmake .. -DCMAKE_INSTALL_PREFIX=/path/to/Manyo [-DMULTH=<n>[, -DNEXUS_PATH=/path/to/nexul, -DMANYO_INSTTYPE=(N/O)]]
# $ VERBOSE=1 make -j install

cmake_minimum_required(VERSION 3.13)
project(Manyo CXX)

# Find Python
find_package(Python COMPONENTS Interpreter Development)

# Set up swig
CMAKE_POLICY(SET CMP0086 NEW)
find_package(SWIG REQUIRED)
include(${SWIG_USE_FILE})
#include(FindSWIG)
#include(UseSWIG)

# Find OpenMP
find_package(OpenMP)

# Find pthread
#set(THREADS_PREFER_PTHREAD_FLAG ON)
#find_package(Threads REQUIRED)

# Find GSL
find_package(GSL REQUIRED)

# Find LibBoost
if (POLICY CMP0167)
  cmake_policy (SET CMP0167 NEW)
endif ()
find_package(Boost 1.49.0 REQUIRED
             COMPONENTS serialization filesystem system program_options)

# Check macOS
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    set(MACOS TRUE)
endif()

# Set MANYO_MULTH : If MULTH is given by cmake argument,
if (DEFINED MULTH)
  set(MANYO_MULTH ${MULTH})
else (DEFINED MULTH)
  set(MANYO_MULTH 8)
endif (DEFINED MULTH)

# Set MANYO_NEXUS_PATH
if (DEFINED NEXUS_PATH)
  set(MANYO_NEXUS_PATH ${NEXUS_PATH})
else ()
  set(MANYO_NEXUS_PATH ${CMAKE_INSTALL_PREFIX})
endif ()
message("MANYO_NEXUS_PATH=" ${MANYO_NEXUS_PATH})

# Installation type
# MANYO_LIB_PATH is the relative path to libManyo and other manyo libraries from CMAKE_INSTALL_PREFIX
# as "lib/python3.11/dist-packages"
# Therefor MANYO_PATH is ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH}
if ((DEFINED MANYO_INSTTYPE) AND (${MANYO_INSTTYPE} MATCHES "O"))
  message("MANYO_INSTTYPE = Old")
  set(MANYO_LIB_PATH lib)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX})
else()
  message("MANYO_INSTTYPE = Default 0.4")
  set(MANYO_LIB_PATH lib/python${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}/dist-packages)
  set(MANYO_PATH ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH})
endif()
message("MANYO_PATH = " ${MANYO_PATH})

# Set compile options for Manyo-lib
if (MACOS AND OpenMP_FOUND)
  set(MANYO_CXX_FLAGS -O3 -Xpreprocessor -Werror=return-type -Xclang -fopenmp)
elseif(MACOS)
  set(MANYO_CXX_FLAGS -O3 -Xpreprocessor -Werror=return-type)
elseif(UNIX)
  set(MANYO_CXX_FLAGS ${OpenMP_CXX_FLAGS} -O3 -fPIC -shared)
endif()

# Add subdirectories for Manyo core and MLF
add_subdirectory(core)
add_subdirectory(MLF)

message("Boost_VERSION_STRING = " ${Boost_VERSION_STRING})
if (${Boost_VERSION_STRING} STRLESS "1.87.0")
  add_subdirectory(SerialPySrv)
endif()

=== src/manyo/Makefile ===

MAKE_DIRS   = core MLF SerialPySrv

default:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE));\
	done

install:
	@for subdir in $(MAKE_DIRS);\
	do \
	(cd $$subdir && $(MAKE) install);\
	done

clean:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) clean);\
	done

man:
	@for subdir in $(MAKE_DIRS);\
	 do \
	(cd $$subdir && $(MAKE) man);\
	done

=== src/Utsusemi-DNA/manyo-LevmarTools/CMakeLists.txt ===
# Manyo Library LevmarTools module

# Find and include swig
CMAKE_POLICY(SET CMP0086 NEW)
find_package(SWIG REQUIRED)
include(${SWIG_USE_FILE})
#include(FindSWIG)
#include(UseSWIG)

# Find OpenMP, GSL
find_package(GSL REQUIRED)
find_package(OpenMP)

if (POLICY CMP0167)
  cmake_policy (SET CMP0167 NEW)
endif ()
find_package(Boost 1.49.0 REQUIRED
             COMPONENTS serialization)

# Set compile options for Utsusemi
if (MACOS AND OpenMP_FOUND)
  set(UTSUSEMI_CXX_FLAGS ${CMAKE_CXX_FLAGS} -O3 -Xpreprocessor -Werror=return-type -Xclang -fopenmp)
elseif(MACOS)
  set(UTSUSEMI_CXX_FLAGS ${CMAKE_CXX_FLAGS} -O3 -Xpreprocessor -Werror=return-type)
elseif(UNIX)
  set(UTSUSEMI_CXX_FLAGS ${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS} -O3 -shared -pthread)
endif()

# Add LibMany
add_library(LevmarTools SHARED)
target_sources(LevmarTools PRIVATE
               AdvAdditionalData.cc
               AdvAugmentedLorentzian.cc
               AdvAugmentedLorentzianConv.cc
               AdvBSpline.cc
               AdvConstant.cc
               AdvConstantConv.cc
               AdvConvDeconv.cc
               AdvConvDeconvPre.cc
               AdvConvergenceStat.cc
               AdvConvolutionBase.cc
               AdvConvolutionByFFT.cc
               AdvConvolutionConsts.cc
               AdvDampedHarmonicOscillator.cc
               AdvDampedHarmonicOscillatorConv.cc
               AdvDeconvolutionByFFT.cc
               AdvDeltaConv.cc
               AdvDomain.cc
               AdvEqualSpacing.cc
               AdvErrorFunction.cc
               AdvExponential.cc
               AdvExtVectorTool.cc
               AdvFitCommand.cc
               AdvFuncBase.cc
               AdvFuncComb.cc
               AdvFuncCombToElementContainer.cc
               AdvFuncConv.cc
               AdvFuncParser.cc
               AdvGaussian.cc
               AdvGaussianConv.cc
               AdvGslFFTComplex.cc
               AdvInsMEM.cc
               AdvLevmarArgs.cc
               AdvLevmarConsts.cc
               AdvLevmarControl.cc
               AdvLevmarFit.cc
               AdvLevmarFunc.cc
               AdvLevmarImmutables.cc
               AdvLorentzian.cc
               AdvLorentzianConv.cc
               AdvMatrixUtil.cc
               AdvMessage.cc
               AdvMethod.cc
               AdvMethodFactory.cc
               AdvMethodType.cc
               AdvModel.cc
               AdvModelDistribution.cc
               AdvModelLayer.cc
               AdvModelParam.cc
               AdvModelParamSet.cc
               AdvModelParticle.cc
               AdvModelParticleType.cc
               AdvModelSmallAngle.cc
               AdvModelSpecular.cc
               AdvModelSpecularMul.cc
               AdvMovingAverage.cc
               AdvMultiDataLevmar.cc
               AdvMultiDataLevmarConsts.cc
               AdvMultiDataMethod.cc
               AdvMultiDataMethodFactory.cc
               AdvMultiDataOperationBase.cc
               AdvMultiDataPeakFit.cc
               AdvNewLevmar.cc
               AdvOperationBase.cc
               AdvOperationType.cc
               AdvParamSet.cc
               AdvPeak.cc
               AdvPeakData.cc
               AdvPeakFit.cc
               AdvPeakSearch.cc
               AdvPeakType.cc
               AdvPolynomial1.cc
               AdvPolynomial1Conv.cc
               AdvPolynomial2.cc
               AdvPolynomial2Conv.cc
               AdvPolynomial3.cc
               AdvPolynomial3Conv.cc
               AdvPseudoVoigt1.cc
               AdvPseudoVoigt1Conv.cc
               AdvPseudoVoigt2.cc
               AdvPseudoVoigt2Conv.cc
               AdvReportConvergenceProcess.cc
               AdvSimulatedAnnealingArgs.cc
               AdvSimulatedAnnealing.cc
               AdvSimulatedAnnealingConsts.cc
               AdvSmoothing.cc
               AdvTrapezoid.cc
               AdvTriangle.cc
               AdvVectorArrayConv.cc
               AdvVectorComplexTool.cc
               AdvVectorGSLVectorConv.cc
               ThreadBase.cc
    )

target_compile_options(LevmarTools PUBLIC ${UTSUSEMI_CXX_FLAGS})
# target_compile_features(LevmarTools PUBLIC cxx_std_11)
if (${LIBMXML} MATCHES "mxml4")
    target_compile_definitions(LevmarTools PUBLIC LIBMXML4)
endif()
target_include_directories(LevmarTools PUBLIC ${MANYO_MXML_INC_PATH} ${CMAKE_CURRENT_SOURCE_DIR} ${Boost_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/../lib-levmar/2.5 ${MANYO_NEXUS_PATH}/include ${Python_INCLUDE_DIRS} ${CMAKE_INSTALL_PREFIX}/include/manyo ${CMAKE_INSTALL_PREFIX}/include/manyo/MLF ${CMAKE_INSTALL_PREFIX}/include/manyo/Utsusemi)

target_link_directories(LevmarTools PUBLIC ${MANYO_MXML_LIB_PATH} ${MANYO_NEXUS_PATH}/lib ${CMAKE_INSTALL_PREFIX}/${MANYO_LIB_PATH} ${CMAKE_BINARY_DIR}/lib-levmar/2.5)
if (MACOS AND OpenMP_FOUND)
  target_link_libraries(LevmarTools Manyo MLF NeXus levmar ${LIBMXML} GSL::gsl Python::Python util dl pthread omp)
  target_link_options(LevmarTools PRIVATE ${CMAKE_CXX_FLAGS} ${UTSUSEMI_CXX_FLAGS})
elseif (MACOS)
  target_link_libraries(LevmarTools Manyo MLF NeXus levmar mxml GSL::gsl Python::Python util dl pthread)
  target_link_options(LevmarTools PRIVATE ${CMAKE_CXX_FLAGS} ${UTSUSEMI_CXX_FLAGS})
else()
  target_link_libraries(LevmarTools Manyo MLF NeXus levmar mxml GSL::gsl Python::Python util dl)
endif()


# message("MULTH = " ${MANYO_MULTH})
# message("Library = " ${CMAKE_INSTALL_PREFIX}/lib)

# Set up swig
set_property(SOURCE LevmarTools.i PROPERTY CPLUSPLUS ON)
set_property(SOURCE LevmarTools.i PROPERTY INCLUDE_DIRECTORIES ${CMAKE_INSTALL_PREFIX}/include/manyo ${CMAKE_INSTALL_PREFIX}/include/manyo/MLF ${CMAKE_INSTALL_PREFIX}/include/manyo/Utsusemi)

swig_add_library(ManyoLevmarTools
  TYPE MODULE
  LANGUAGE python
  OUTPUT_DIR ${PROJECT_BINARY_DIR}/
  SOURCES LevmarTools.i)
swig_link_libraries(ManyoLevmarTools LevmarTools)

# Install library
install(TARGETS LevmarTools
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION ${MANYO_LIB_PATH})
install(FILES
            AdvAdditionalData.hh
            AdvAugmentedLorentzianConv.hh
            AdvAugmentedLorentzian.hh
            AdvBSpline.hh
            AdvConstantConv.hh
            AdvConstant.hh
            AdvContainerBaseTemplate.hh
            AdvContainerDumpTool.hh
            AdvContainerForMatrix.hh
            AdvContainerForVector.hh
            AdvConvDeconv.hh
            AdvConvDeconvPre.hh
            AdvConvergenceStat.hh
            AdvConvolutionBase.hh
            AdvConvolutionByFFT.hh
            AdvConvolutionConsts.hh
            AdvDampedHarmonicOscillatorConv.hh
            AdvDampedHarmonicOscillator.hh
            AdvDeconvolutionByFFT.hh
            AdvDeltaConv.hh
            AdvDomain.hh
            AdvEqualSpacing.hh
            AdvErrorFunction.hh
            AdvExponential.hh
            AdvExtVectorTool.hh
            AdvFitCommand.hh
            AdvFuncBase.hh
            AdvFuncComb.hh
            AdvFuncCombToElementContainer.hh
            AdvFuncConv.hh
            AdvFuncParser.hh
            AdvGaussianConv.hh
            AdvGaussian.hh
            AdvGslFFTComplex.hh
            AdvInsMEM.hh
            AdvLevmarArgs.hh
            AdvLevmarConsts.hh
            AdvLevmarControl.hh
            AdvLevmarFit.hh
            AdvLevmarFunc.hh
            AdvLevmarImmutables.hh
            AdvLogger.hh
            AdvLorentzianConv.hh
            AdvLorentzian.hh
            AdvMatrixUtil.hh
            AdvMessage.hh
            AdvMethodFactory.hh
            AdvMethod.hh
            AdvMethodType.hh
            AdvModelDistribution.hh
            AdvModel.hh
            AdvModelInterference.hh
            AdvModelLayer.hh
            AdvModelParam.hh
            AdvModelParamSet.hh
            AdvModelParticle.hh
            AdvModelParticleType.hh
            AdvModelSmallAngle.hh
            AdvModelSpecular.hh
            AdvModelSpecularMul.hh
            AdvMovingAverage.hh
            AdvMultiDataLevmarConsts.hh
            AdvMultiDataLevmar.hh
            AdvMultiDataMethodFactory.hh
            AdvMultiDataMethod.hh
            AdvMultiDataOperationBase.hh
            AdvMultiDataPeakFit.hh
            AdvNewLevmar.hh
            AdvOperationBase.hh
            AdvOperationType.hh
            AdvParameterIOconst.hh
            AdvParamSet.hh
            AdvPeakData.hh
            AdvPeakFit.hh
            AdvPeak.hh
            AdvPeakSearch.hh
            AdvPeakType.hh
            AdvPolynomial1Conv.hh
            AdvPolynomial1.hh
            AdvPolynomial2Conv.hh
            AdvPolynomial2.hh
            AdvPolynomial3Conv.hh
            AdvPolynomial3.hh
            AdvPseudoVoigt1Conv.hh
            AdvPseudoVoigt1.hh
            AdvPseudoVoigt2Conv.hh
            AdvPseudoVoigt2.hh
            AdvReportConvergenceProcess.hh
            AdvSimulatedAnnealingArgs.hh
            AdvSimulatedAnnealingConsts.hh
            AdvSimulatedAnnealing.hh
            AdvSmoothing.hh
            AdvTrapezoid.hh
            AdvTriangle.hh
            AdvVectorArrayConv.hh
            AdvVectorComplexTool.hh
            AdvVectorGslVectorComplex.hh
            AdvVectorGSLVectorConv.hh
            ThreadBase.hh
        DESTINATION include/manyo/LevmarTools)

# Install Manyo folder for Python
install(TARGETS ManyoLevmarTools LIBRARY DESTINATION ${MANYO_PATH}/Manyo/LevmarTools)
install(FILES ${PROJECT_BINARY_DIR}/LevmarTools.py DESTINATION ${MANYO_PATH}/Manyo/LevmarTools)
install(FILES __init__.py DESTINATION ${MANYO_PATH}/Manyo/LevmarTools)
install(FILES sample/sample.py DESTINATION share/Manyo/sample/LevmarTools)

=== src/Utsusemi-DNA/manyo-LevmarTools/Makefile ===
PACKAGE_NAME	= LevmarTools

INC_EXT = MLF
DIST_NAME ?=RH7
NUM_MULTH ?= 8
CXX	?= g++
CXX_OPT ?= -L$(MANYO_PATH)/lib -fPIC -O3 -fopenmp -DMULTH=$(NUM_MULTH) -std=c++11
INC_OPT ?= -I$(MANYO_PATH)/include $(INC_EXT:%=-I$(MANYO_PATH)/include/%)
LIB_OPT ?= $(INC_EXT:%=-l%)
LIB_OPT+=-llevmar
PyVer	?= $(shell python3 --version 2>&1 | cut -d" " -f2 | cut -d. -f1-2 )
PKG_SOVER ?=
PREFIX ?= $(MANYO_PATH)
PY_PREFIX ?= $(PREFIX)
DESTDIR ?=

SWIG ?= swig
PyLib ?= $(PyVer)
PyMaj ?= $(shell echo $(PyVer) | cut -d. -f1)

ifeq ($(PyMaj),3)

ifeq ($(DIST_NAME),RH7)
	PyLib := $(PyVer)m
endif
ifeq ($(DIST_NAME),Ubuntu16)
	PyLib := $(PyVer)m
endif
	PyInc ?= /usr/include/python$(PyLib)
endif
PyInc ?= /usr/include/python$(PyVer)

CXX_OPT := -DPyMaj=$(PyMaj) -I$(PyInc) ${CXX_OPT}
SWIG_OPT := -DPyMaj=$(PyMaj)

include Makefile.obj


_$(PACKAGE_NAME).so:	$(PACKAGE_NAME)_wrap.o $(OBJS) lib$(PACKAGE_NAME).so
	$(CXX) $(CXX_OPT) $(INC_OPT) -o $@ $(PACKAGE_NAME)_wrap.o -fopenmp -shared -lpython$(PyLib) \
	-pthread -lutil -ldl -L. -lManyo -l$(PACKAGE_NAME) -lmxml  -lNeXus -lgsl \
	-lgslcblas -lboost_serialization -lboost_filesystem -lboost_system $(LIB_OPT)

ifdef PKG_SOVER
lib$(PACKAGE_NAME).so: lib$(PACKAGE_NAME).so.$(PKG_SOVER)
	ln -s lib$(PACKAGE_NAME).so.$(PKG_SOVER) lib$(PACKAGE_NAME).so

lib$(PACKAGE_NAME).so.$(PKG_SOVER):	$(OBJS)
	$(CXX) $(CXX_OPT)  $(INC_OPT) $(OBJS) -o $@ -fopenmp -shared -lNeXus -lgsl -lgslcblas \
	-lboost_serialization -lboost_filesystem -lboost_system -lpython$(PyLib) -pthread -lutil -ldl $(LIB_OPT)
else
lib$(PACKAGE_NAME).so:	$(OBJS)
	$(CXX) $(CXX_OPT)  $(INC_OPT) $(OBJS) -o $@ -fopenmp -shared -lmxml  -lNeXus -lgsl -lgslcblas \
	-lboost_serialization -lboost_filesystem -lboost_system -lpython$(PyLib) -pthread -lutil -ldl $(LIB_OPT)
endif

$(PACKAGE_NAME)_wrap.o:	$(PACKAGE_NAME)_wrap.cxx
	$(CXX) $(CXX_OPT) $(INC_OPT) -c -fPIC $(PACKAGE_NAME)_wrap.cxx -O3 \
	-DPYTHONSERVERPORT=8888 -DJQPORT=8890 


$(PACKAGE_NAME).py $(PACKAGE_NAME)_wrap.cxx:	$(PACKAGE_NAME).i
	swig -c++ $(INC_OPT) -python $(PACKAGE_NAME).i



install:	_$(PACKAGE_NAME).so $(PACKAGE_NAME).py lib$(PACKAGE_NAME).so
	mkdir -p $(DESTDIR)$(PREFIX)/lib
	mkdir -p $(DESTDIR)$(PREFIX)/include/$(PACKAGE_NAME)
	mkdir -p $(DESTDIR)$(PREFIX)/Manyo/$(PACKAGE_NAME)
	mkdir -p $(DESTDIR)$(PREFIX)/sample/$(PACKAGE_NAME)
	cp *.cc *.hh $(DESTDIR)$(PREFIX)/include/$(PACKAGE_NAME)/
	cp lib$(PACKAGE_NAME).so $(DESTDIR)$(PREFIX)/lib
	cp $(PACKAGE_NAME).py $(DESTDIR)$(PREFIX)/Manyo/$(PACKAGE_NAME)/
	echo "from ."${PACKAGE_NAME}" import *" > $(DESTDIR)$(PREFIX)/Manyo/$(PACKAGE_NAME)/__init__.py
	cp _$(PACKAGE_NAME).so $(DESTDIR)$(PREFIX)/Manyo/$(PACKAGE_NAME)
	cp sample/*.py $(DESTDIR)$(PREFIX)/sample/$(PACKAGE_NAME)/
	rm -f $(DESTDIR)$(PREFIX)/Manyo/$(PACKAGE_NAME)/*.pyc 

clean:
	-rm -rf a.out _$(PACKAGE_NAME).so $(PACKAGE_NAME)_wrap.o \
	$(PACKAGE_NAME)_wrap.cxx lib$(PACKAGE_NAME).so $(OBJS) \
	$(PACKAGE_NAME).py $(PACKAGE_NAME).pyc \
	html latex xml interfaces

man:
	./CreateManual

.cc.o:
	$(CXX) $(CXX_OPT) $(INC_OPT) -c $<


include CC_Files_Dependence

=== src/Utsusemi-ENG/contrib/deb/ubuntu22/debian/changelog ===
mlf-utsusemi-eng (4.0.180508-ubu22) UNRELEASED; urgency=medium

  * Initial release

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Mon, 8 May 2018 19:05:10 +0900

=== src/Utsusemi-ENG/contrib/deb/ubuntu24/debian/changelog ===
mlf-utsusemi-eng (4.0.180508-ubu24) UNRELEASED; urgency=medium

  * Initial release

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Mon, 8 May 2018 19:05:10 +0900

=== src/Utsusemi-SAS/contrib/deb/ubuntu24/debian/changelog ===
mlf-utsusemi-sas (4.0.210312-ubu20) UNRELEASED; urgency=medium

  * Update and bugfix

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Tue, 13 Apr 2021 20:05:44 +0900

mlf-utsusemi-sas (4.0.210129-ubu20) unstable; urgency=medium

  * Initial release

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Mon, 15 Feb 2021 19:05:10 +0900

=== src/Utsusemi/contrib/deb/ubuntu18/debian/changelog ===
mlf-utsusemi-ugao (4.0.210202-ubu18) unstable; urgency=medium

  * Initial release for Ubuntu18

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Mon, 08 Feb 2021 18:39:33 +0900

=== src/Utsusemi/contrib/deb/ubuntu24/debian/changelog ===
mlf-utsusemi-with-ugao (4.0.210402-ubu20) UNRELEASED; urgency=medium

  * Update and bugfix

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Thu, 08 Apr 2021 14:20:36 +0900

mlf-utsusemi-with-ugao (4.0.210208-ubu20) unstable; urgency=medium

  * Initial release

 -- Yasuhiro Inamura <yinamura@unknown>  Mon, 08 Feb 2021 15:56:05 +0900

=== src/manyo/contrib/deb/ubuntu18/debian/changelog ===
mlf-manyo (0.3.4.210122-ubu18) unstable; urgency=medium

  * Initial release

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Tue, 26 Jan 2021 21:54:55 +0900

=== src/manyo/contrib/deb/ubuntu24/debian/changelog ===
mlf-manyo (0.3.4.210122-ubu20) unstable; urgency=medium

  * Initial release ( original source codes are updated at 210122 )

 -- Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>  Tue, 26 Jan 2021 20:36:36 +0900

=== src/Utsusemi-DNA/contrib/deb/ubuntu24/debian/control ===
Source: mlf-utsusemi-dna
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper-compat (= 12), mlf-utsusemi-with-ugao-dev
Standards-Version: 4.4.1
Section: libs
Homepage: https://mlfinfo.jp/groups/comp/en/utsusemi.html
#Vcs-Browser: https://salsa.debian.org/debian/mlf-utsusemi-dna
#Vcs-Git: https://salsa.debian.org/debian/mlf-utsusemi-dna.git

Package: mlf-utsusemi-dna-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-utsusemi-dna (= ${binary:Version}), ${misc:Depends}
Description: DNA Utsusemi environments
 BL02 environment on Utsusemi

Package: mlf-utsusemi-dna
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, mlf-utsusemi-with-ugao
Description: DNA Utsusemi environments
 BL02 environment on Utsusemi

=== src/Utsusemi-ENG/contrib/deb/ubuntu24/debian/control ===
Source: mlf-utsusemi-eng
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper-compat (= 12), mlf-utsusemi-with-ugao-dev
Standards-Version: 4.4.1
Section: libs
Homepage: https://mlfinfo.jp/groups/comp/en/utsusemi.html
#Vcs-Browser: https://salsa.debian.org/debian/mlf-utsusemi-sas
#Vcs-Git: https://salsa.debian.org/debian/mlf-utsusemi-sas.git

Package: mlf-utsusemi-eng-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-utsusemi-eng (= ${binary:Version}), ${misc:Depends}
Description: Utsusemi-ENG environments
 BL19 environment on Utsusemi

Package: mlf-utsusemi-eng
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, mlf-utsusemi-with-ugao
Description: Utsusemi-ENG environments
 BL19 environment on Utsusemi

=== src/Utsusemi-SAS/contrib/deb/ubuntu24/debian/control ===
Source: mlf-utsusemi-sas
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper-compat (= 12), mlf-utsusemi-with-ugao-dev
Standards-Version: 4.4.1
Section: libs
Homepage: https://mlfinfo.jp/groups/comp/en/utsusemi.html
#Vcs-Browser: https://salsa.debian.org/debian/mlf-utsusemi-sas
#Vcs-Git: https://salsa.debian.org/debian/mlf-utsusemi-sas.git

Package: mlf-utsusemi-sas-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-utsusemi-sas (= ${binary:Version}), ${misc:Depends}
Description: SAS Utsusemi environments
 BL15 environment on Utsusemi

Package: mlf-utsusemi-sas
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, mlf-utsusemi-with-ugao
Description: SAS Utsusemi environments
 BL15 environment on Utsusemi

=== src/Utsusemi/contrib/deb/ubuntu18/debian/control ===
Source: mlf-utsusemi-ugao
Section: unknown
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper (>= 10), mlf-manyo-dev
Standards-Version: 4.1.2
Homepage: https://mlfinfo.jp/groups/comp/en/utsusemi.html
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/mlf-utsusemi-ugao.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mlf-utsusemi-ugao.git

Package: mlf-utsusemi-ugao-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-utsusemi (= ${binary:Version}), ${misc:Depends}
Description: Manyo Library for developers
 Data reduction and analysis environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.

Package: mlf-utsusemi-ugao
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mlf-manyo1, python3-matplotlib (>=2.0), python3-numpy (>=1.13), python3-scipy (>=0.19), python3-pyside.qtcore (>=1.2), python3-pyside.qtgui (>=1.2)
Description: Utsusemi
 Utsusemi is the software series used to analyze and visualize the neutron scattering data observed at MLF [1]. Utsusemi software is written in C++, based on the Manyo Library framework [2] and Python to achieve flexible and high quality data analysis and to provide easy-to-use environment for MLF users.
 Utsusemi has been already introduced in a lot of beamlines at MLF to become one of the frameworks for data reduction and analysis.

=== src/Utsusemi/contrib/deb/ubuntu24/debian/control ===
Source: mlf-utsusemi-with-ugao
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper-compat (= 12), mlf-manyo-dev
Standards-Version: 4.4.1
Section: unknown
Homepage: https://mlfinfo.jp/groups/comp/en/utsusemi.html
#Vcs-Browser: https://salsa.debian.org/debian/mlf-utsusemi-with-ugao
#Vcs-Git: https://salsa.debian.org/debian/mlf-utsusemi-with-ugao.git

Package: mlf-utsusemi-with-ugao-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-utsusemi-with-ugao (= ${binary:Version}), ${misc:Depends}
Description: Utsusemi environment for developpers
 Data reduction, analysis and visualizations environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.

Package: mlf-utsusemi-with-ugao
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, mlf-manyo1, python3-matplotlib (>=3.0), python3-scipy (>=1.3), python3-pyside2.qtcore (>=5.0), python3-pyside2.qtgui (>=5.0), python3-pyside2.qtwidgets (>=5.0)
Description: Utsusemi environment
 Utsusemi is the software series used to analyze and visualize the neutron scattering data observed at MLF [1]. Utsusemi software is written in C++, based on the Manyo Library framework [2] and Python to achieve flexible and high quality data analysis and to provide easy-to-use environment for MLF users.
 Utsusemi has been already introduced in a lot of beamlines at MLF to become one of the frameworks for data reduction and analysis.

=== src/manyo/contrib/deb/ubuntu18/debian/control ===
Source: mlf-manyo
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper (>= 10), swig (>=3.0), libboost-system-dev (>=1.54), libboost-filesystem-dev (>=1.54), libboost-serialization-dev (>=1.54), libboost-program-options-dev (>=1.54), libgsl-dev (>=1.5), python3-dev (>=3.6), libhdf5-dev (>=1.8), libnexus0-dev (>=4.2), libssl-dev (>=0.9)
Standards-Version: 4.1.2
Section: libs
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/mlf-manyo.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mlf-manyo.git

Package: mlf-manyo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-manyo1 (= ${binary:Version}), ${misc:Depends}
Description: Manyo Library for developers
 Data reduction and analysis environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.


Package: mlf-manyo1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Manyo Library
 Data reduction and analysis environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.

=== src/manyo/contrib/deb/ubuntu24/debian/control ===
Source: mlf-manyo
Priority: optional
Maintainer: Yasuhiro INAMURA <yasuhiro.inamura@j-parc.jp>
Build-Depends: debhelper-compat (= 12), libboost-system-dev (>=1.54), libboost-filesystem-dev (>=1.54), libboost-serialization-dev (>=1.54), libboost-program-options-dev (>=1.54), libgsl-dev (>=1.5), python3-dev (>=3.7), libhdf5-dev (>=1.8), libnexus-dev (>=4.4), libssl-dev (>=0.9)
Standards-Version: 4.4.1
Section: libs
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/mlf-manyo
#Vcs-Git: https://salsa.debian.org/debian/mlf-manyo.git

Package: mlf-manyo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: mlf-manyo1 (= ${binary:Version}), ${misc:Depends}
Description: Manyo Library for developers
 Data reduction and analysis environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.

Package: mlf-manyo1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Manyo Library
 Data reduction and analysis environment for the neutron scattering measurements in Material & Life Science Facility (MLF) at J-PARC.

=== src/Utsusemi-DNA/contrib/deb/ubuntu20/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export MANYO_PATH=/opt/mlfsoft/manyo
export INSTALL_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:${INSTALL_PATH}:/usr/local/lib
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python3.8:${MANYO_PATH}/include:/usr/local/include:${MANYO_PATH}/include/Manyo:${MANYO_PATH}/include/MLF:${MANYO_PATH}/include/Utsusemi
export INC_EXT="Manyo MLF Utsusemi "
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export PYTHONPATH=${MANYO_PATH}
export DIST_NAME=Ubuntu20
export CXX=g++
export PyVer=3.8
export NUM_MULTH=8

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== src/Utsusemi-DNA/contrib/deb/ubuntu22/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PyVer=3.10
export DIST_NAME=Ubuntu22
export MANYO_PATH=/opt/mlfsoft/manyo
export INSTALL_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:${INSTALL_PATH}:/usr/local/lib
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python${PyVer}:${MANYO_PATH}/include:/usr/local/include:${MANYO_PATH}/include/Manyo:${MANYO_PATH}/include/MLF:${MANYO_PATH}/include/Utsusemi
export INC_EXT="Manyo MLF Utsusemi "
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export PYTHONPATH=${MANYO_PATH}
export CXX=g++
export NUM_MULTH=8

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== src/Utsusemi-DNA/contrib/deb/ubuntu24/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PyVer=3.12
export DIST_NAME=Ubuntu24
export MANYO_PATH=/opt/mlfsoft/manyo
export INSTALL_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:${INSTALL_PATH}:/usr/local/lib
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python${PyVer}:${MANYO_PATH}/include:/usr/local/include:${MANYO_PATH}/include/Manyo:${MANYO_PATH}/include/MLF:${MANYO_PATH}/include/Utsusemi
export INC_EXT="Manyo MLF Utsusemi "
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export PYTHONPATH=${MANYO_PATH}
export CXX=g++
export NUM_MULTH=8

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== src/Utsusemi/contrib/deb/ubuntu18/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export MANYO_PATH=/opt/mlfsoft/manyo
export INSTALL_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:${INSTALL_PATH}:/usr/local/lib
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python3.6:${MANYO_PATH}/include:/usr/local/include:${MANYO_PATH}/include/Manyo:${MANYO_PATH}/include/MLF:${MANYO_PATH}/include/Utsusemi
export INC_EXT="Manyo MLF Utsusemi "
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export PYTHONPATH=${MANYO_PATH}
export DIST_NAME=Ubuntu16
export CXX=g++
export PyVer=3.6
export NUM_MULTH=8
export UTSUSEMI_REV=0

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== src/Utsusemi/contrib/deb/ubuntu20/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export MANYO_PATH=/opt/mlfsoft/manyo
export INSTALL_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:${INSTALL_PATH}:/usr/local/lib
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python3.8:${MANYO_PATH}/include:/usr/local/include:${MANYO_PATH}/include/Manyo:${MANYO_PATH}/include/MLF:${MANYO_PATH}/include/Utsusemi
export INC_EXT="Manyo MLF Utsusemi "
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export PYTHONPATH=${MANYO_PATH}
export DIST_NAME=Ubuntu20
export CXX=g++
export PyVer=3.8
export NUM_MULTH=8
export UTSUSEMI_REV=0

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== src/Utsusemi/contrib/deb/ubuntu22/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PyVer=3.10
export DIST_NAME=Ubuntu22
export MANYO_PATH=/opt/mlfsoft/manyo
export INSTALL_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:${INSTALL_PATH}:/usr/local/lib
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python${PyVer}:${MANYO_PATH}/include:/usr/local/include:${MANYO_PATH}/include/Manyo:${MANYO_PATH}/include/MLF:${MANYO_PATH}/include/Utsusemi
export INC_EXT="Manyo MLF Utsusemi "
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export PYTHONPATH=${MANYO_PATH}
export CXX=g++
export NUM_MULTH=8
export UTSUSEMI_REV=0

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== src/Utsusemi/contrib/deb/ubuntu24/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PyVer=3.12
export DIST_NAME=Ubuntu24
export MANYO_PATH=/opt/mlfsoft/manyo
export INSTALL_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:${INSTALL_PATH}:/usr/local/lib
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python${PyVer}:${MANYO_PATH}/include:/usr/local/include:${MANYO_PATH}/include/Manyo:${MANYO_PATH}/include/MLF:${MANYO_PATH}/include/Utsusemi
export INC_EXT="Manyo MLF Utsusemi "
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export PYTHONPATH=${MANYO_PATH}
export CXX=g++
export NUM_MULTH=8
export UTSUSEMI_REV=0

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== src/manyo/contrib/deb/ubuntu18/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export MANYO_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python3.6:${MANYO_PATH}/include
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export DIST_NAME=Ubuntu16
export CXX=g++
export PyVer=3.6
export NUM_MULTH=8

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== src/manyo/contrib/deb/ubuntu20/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export MANYO_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python3.8:${MANYO_PATH}/include
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export DIST_NAME=Ubuntu20
export CXX=g++
export PyVer=3.8
export NUM_MULTH=8

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== src/manyo/contrib/deb/ubuntu22/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PyVer=3.10
export DIST_NAME=Ubuntu22
export MANYO_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python${PyVer}:${MANYO_PATH}/include
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export CXX=g++
export NUM_MULTH=8

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== src/manyo/contrib/deb/ubuntu24/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PyVer=3.12
export DIST_NAME=Ubuntu24
export MANYO_PATH=/opt/mlfsoft/manyo
export LIBRARY_PATH=${MANYO_PATH}/lib:
export LD_LIBRARY_PATH=${LIBRARY_PATH}
export C_INCLUDE_PATH=/usr/include/nexus:/usr/include/hdf5/serial:/usr/include/python${PyVer}:${MANYO_PATH}/include
export CPLUS_INCLUDE_PATH=${C_INCLUDE_PATH}
export CXX=g++
export NUM_MULTH=8

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
